Bug 1006642 - SOAP component: TRACE log in OutboundHandler.handleMessage(..) doesn't output response message correctly
SOAP component: TRACE log in OutboundHandler.handleMessage(..) doesn't output...
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
low Severity low
: ER7
: 6.0.0
Assigned To: Keith Babo
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 22:01 EDT by Tadayoshi Sato
Modified: 2015-08-02 19:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1630 Minor Closed SOAP component: TRACE log in OutboundHandler.handleMessage(..) doesn't output response message correctly 2014-06-16 19:53:17 EDT

  None (edit)
Description Tadayoshi Sato 2013-09-10 22:01:39 EDT
Description of problem:
Platform BZ for https://issues.jboss.org/browse/SWITCHYARD-1630

-----
  if (LOGGER.isTraceEnabled()) {
      LOGGER.trace("Outbound <--- Response:[" + SOAPUtil.soapMessageToString(response) + "]");
  }
-----

The above code in OutboundHandler.handleMessage(..) is placed wrongly, thus TRACE log for the response always results in as follow:

  15:03:12,191 TRACE [org.switchyard.component.soap.OutboundHandler] Outbound <--- Response:[<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
      <soap:Header/>
      <soap:Body/>
  </soap:Envelope>
Comment 5 Jiri Sedlacek 2014-01-13 02:13:00 EST
verified in ER8
Comment 6 JBoss JIRA Server 2014-06-16 19:53:18 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1630 to Closed

Note You need to log in before you can comment on or make changes to this bug.